kein TLSv1.2 mit mod_ssl 2.4.10

Alles, was den Apache betrifft, kann hier besprochen werden.

kein TLSv1.2 mit mod_ssl 2.4.10

Postby El Admin » 17. December 2014 13:29

Hallo,

ich hoffe hier richtig zu sein und es gibt jemanden der scih mit der SSL-Konfiguration bei Apache auskennt.

Ich habe einen Apache 2.4.10 auf Windows 2003 Server x86_32 mit OpenSSL1.0.1j installiert. Laut Eigenschaften der Datei mod_ssl.so ist das auch eine Version 2.4.10.
Um meinen Webserverdienst auch bei SSL-Verbindungen sicher zu machen, wollte ich die Protokolle in der SSL-Konfiguration entsprechend einstellen. SSLv2 und SSLv3 deaktivieren und TLSv1.0, TLSv1.1 und TLSv1.2 aktivieren.
In der Kofigurationsdatei httpd_ssl.conf habe ich dazu den folgenden Eintrag hinzugefügt.

SSLProtocol all -SSLv2 -SSLv3

Mit dieser Derktive sollten SSLv2 + SSLv3 deaktiviert werde, was auch funktioniert und die Protokollversionen TLSv1.0, TLSv1.1 und TLSv1.2 aktiviert werden. Leider habe ich nur TLSv1.0.

Ich habe die gleiche Apache-Version als 64-Bitversion auf einem Windows 2008 x86_64 installiert. Hier habe ich mit der gleichen Konfiguration
die besagten Protokolle zur Verfügung.

Gibt es vieleicht doch einen Unterschied bei dem Modul mod_ssl zwischen der 32Bit- und der 64Bit-Version.


Gruß
El Admin
 
Posts: 11
Joined: 23. August 2010 10:24

Return to Apache

Who is online

Users browsing this forum: No registered users and 4 guests